const express = require('express');
const router = express.Router();
const controller = require('../controllers/bankTransactionController');

router.post('/', controller.createTransaction);
router.get('/transactions', controller.getTransactions);
router.get('/transactions/:id/details', controller.getTransactionDetails);
router.get('/summary', controller.getAccountsSummary);
router.get('/:id/reversal-history', controller.getTransferReversalHistory);




module.exports = router;
